# -- RHEL builds

include:
  # https://computing.docs.ligo.org/guide/gitlab/components/redhat/build/
  - component: $CI_SERVER_FQDN/computing/gitlab/components/redhat/build@2
    inputs:
      needs: [generate]
      stage: build
      job_prefix: redhat_build
      redhat_versions:
        - 8
        - 9

# customisation
redhat_build:
  variables:
    GIT_STRATEGY: none
  script:
    # clean up reused workspace
    - rm -rvf rpmbuild/ rpms/ srpms/
    # build rpms
    - yum -y -q install
          rpm-build
          rpmlint
    - for i in stage/*/el${REDHAT_VERSION}/*.spec; do
          echo -e "\e[32m-- $i\e[0m";
          rpmbuild -ba --define "_topdir $CI_PROJECT_DIR/rpmbuild" $i;
      done
    - mv rpmbuild/RPMS rpms
    - mv rpmbuild/SRPMS srpms
    # rpmlint
    - rpmlint srpms/*.rpm rpms/*.rpm
  artifacts:
    expire_in: 3h
    paths:
      - rpms
      - srpms
    reports: null
